Status: Resolved   

Priority: Immediate   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

<p>The Phusion Passenger application server encountered an error while starting your web application.

Because you are running this web application in staging or production mode, the details of the error

have been omitted from this web page for security reasons.</p>

[2023-02-01 15:00:04] Foreman::PluginRequirementError: ERF72-9220 [Foreman::PluginRequirementError]: foreman_discovery

plugin requires Foreman >= 3.3 but current is 3.1.0

[2023-02-01 15:00:04] API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache.

History

#1 - 02/01/2023 03:28 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Need more information

We haven't supported Passenger for a while. I think the error is also quite clear: you're trying to use a newer discovery plugin than Foreman. I'd check

your repository configuration.

#2 - 02/01/2023 03:42 PM - brandon sanabria

Ewoud Kohl van Wijngaarden wrote:

We haven't supported Passenger for a while. I think the error is also quite clear: you're trying to use a newer discovery plugin than Foreman. I'd

check your repository configuration.

 fellow eng apt upgraded an older node. do you know where we can find the 3.1.0 discovery plugin?

#3 - 02/01/2023 08:51 PM - brandon sanabria

- Status changed from Need more information to Resolved

https://deb.theforeman.org/pool/plugins/3.0/r/ruby-foreman-discovery/ found the matching version and once installed things start up correctly
